## xmlsec1 1.2.39

=== debian/changelog ===
xmlsec1 (1.2.39-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:34:38 +0000

xmlsec1 (1.2.39-5build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:17:43 +0000

xmlsec1 (1.2.39-5) unstable; urgency=medium

  * build-depend on dpkg-dev (>= 1.22.5) to be sure 

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Feb 2024 11:42:29 +0000

xmlsec1 (1.2.39-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2024 06:12:28 +0100

xmlsec1 (1.2.39-3) experimental; urgency=medium

  * dh_installexamples -plibxmlsec1-dev (closes: #1064890) 

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Feb 2024 21:23:46 +0100

xmlsec1 (1.2.39-2) experimental; urgency=medium

  * add X-Time64-Compat: headers

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Feb 2024 19:37:13 +0100

xmlsec1 (1.2.39-1) experimental; urgency=medium

  * New upstream version 1.2.39

  * Rename libraries for 64-bit time_t transition.

  * piggyback on t64 rename; accept *Md5GetKlass symbol removals
    (shouldn't be used anyway and nothing in Debian actually uses it)

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Feb 2024 19:14:13 +0100

=== debian/control ===
Source: xmlsec1
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders:
 John V. Belmonte <jbelmonte@debian.org>,
 Rene Engelhard <rene@debian.org>,
Build-Depends:
 dpkg-dev (>= 1.22.5),
 debhelper (>= 11),
 help2man,
 libgcrypt20-dev,
 libgnutls28-dev,
 libnss3-dev (>= 2:3.72-2),
 libssl-dev,
 libxml2-dev,
 libxslt1-dev,
 pkg-config,
Build-Depends-Indep:
 gtk-doc-tools,
 man2html-base,
 xsltproc,
Build-Conflicts: libnspr4-dev (<< 2:4.32-3)
Standards-Version: 4.1.4
Homepage: https://www.aleksey.com/xmlsec/
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/xmlsec1
Vcs-Git: https://salsa.debian.org/xml-sgml-team/xmlsec1.git

Package: libxmlsec1-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libnss3-dev,
 libssl-dev,
 libxml2-dev,
 libxmlsec1t64 (= ${binary:Version}),
 libxmlsec1t64-gcrypt (= ${binary:Version}),
 libxmlsec1t64-gnutls (= ${binary:Version}),
 libxmlsec1t64-nss (= ${binary:Version}),
 libxmlsec1t64-openssl (= ${binary:Version}),
 libxslt1-dev,
 ${misc:Depends},
Description: Development files for the XML security library
 The XML Security Library is a C library that implements these XML standards:
 .
    * XML Signature
    * XML Encryption
 .
 This package provides development files including documentation, examples,
 headers, static libraries, and configuration support.

Package: libxmlsec1t64
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Replaces: libxmlsec1
Breaks: libxmlsec1 (<< ${source:Version})
Provides: ${t64:Provides}
Description: XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides all XML security library functionality
 except for the cryptography engine.

Package: libxmlsec1t64-openssl
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Replaces: libxmlsec1-openssl
Breaks: libxmlsec1-openssl (<< ${source:Version})
Provides: ${t64:Provides}
X-Time64-Compat: libxmlsec1-openssl
Description: Openssl engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the openssl implementation of the XML security
 library cryptography functions.

Package: libxmlsec1t64-gnutls
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Replaces: libxmlsec1-gnutls
Breaks: libxmlsec1-gnutls (<< ${source:Version})
Provides: ${t64:Provides}
X-Time64-Compat: libxmlsec1-gnutls
Description: Gnutls engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gnutls implementation of the XML security
 library cryptography functions.

Package: libxmlsec1t64-nss
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Replaces: libxmlsec1-nss
Breaks: libxmlsec1-nss (<< ${source:Version})
Provides: ${t64:Provides}
X-Time64-Compat: libxmlsec1-nss
Description: Nss engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the nss implementation of the XML security
 library cryptography functions.

Package: libxmlsec1t64-gcrypt
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Replaces: libxmlsec1-gcrypt
Breaks: libxmlsec1-gcrypt (<< ${source:Version})
Provides: ${t64:Provides}
X-Time64-Compat: libxmlsec1-gcrypt
Description: Gcrypt engine for the XML security library
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package provides dynamic libraries for use by applications.
 Specifically, it provides the gcrypt implementation of the XML security
 library cryptography functions.

Package: xmlsec1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XML security command line processor
 Xmlsec is a command line tool for signature and encryption transformations
 of XML data.  It is part of the XML Security Library.

Package: libxmlsec1-doc
Architecture: all
Depends: ${misc:Depends}
Description: XML security library -- documentation
 The XML Security Library implements standards related to secure handling
 of XML data.
 .
 This package contains the documentation for xmlsec1. E.g. the API docs.

## xmlsec1 1.2.41

=== debian/changelog ===
xmlsec1 (1.2.41-1build1) plucky; urgency=medium

  * No-change rebuild with reverted version of libxml2, avoiding
    warnings during use.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2025 09:12:18 +0000

xmlsec1 (1.2.41-1) unstable; urgency=medium

  * New upstream version 1.2.41

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jul 2024 12:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xmlsec1
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders:
  John V. Belmonte <jbelmonte@debian.org>,
  Rene Engelhard <rene@debian.org>,

## xmlsec1 1.3.6

=== debian/changelog ===
xmlsec1 (1.3.6-1) experimental; urgency=medium

  * "New" upstream version 1.3.6

 -- Rene Engelhard <rene@debian.org>  Sun, 26 Jan 2025 10:35:48 +0100

xmlsec1 (1.3.5-1) experimental; urgency=medium

  * New upstream version 1.3.5

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jul 2024 12:52:45 +0200

xmlsec1 (1.3.4-2) experimental; urgency=medium

  * mention all people from Copyright in debian/copyright 

 -- Rene Engelhard <rene@debian.org>  Mon, 20 May 2024 09:59:53 +0200

xmlsec1 (1.3.4-1) experimental; urgency=medium

  * New upstream version 1.3.4

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2024 18:31:01 +0200

xmlsec1 (1.3.3-1) experimental; urgency=medium

  * New upstream version 1.3.3

  * debian/*: rename libxmlsec1t64 to libxmlsec1-1 and libxmlsec1t64-foo to
    libxmlsec1-foo1 to match a) SONAME b) policy 8.1 (the library name is
    xmlsec1).
    And as the ABI changed in 1.3.0 anyway we must rename the package anyway.

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Feb 2024 19:22:11 +0000

=== debian/control ===
--- 
+++ 
@@ -36,11 +36,11 @@
  libnss3-dev,
  libssl-dev,
  libxml2-dev,
- libxmlsec1t64 (= ${binary:Version}),
- libxmlsec1t64-gcrypt (= ${binary:Version}),
- libxmlsec1t64-gnutls (= ${binary:Version}),
- libxmlsec1t64-nss (= ${binary:Version}),
- libxmlsec1t64-openssl (= ${binary:Version}),
+ libxmlsec1-1 (= ${binary:Version}),
+ libxmlsec1-gcrypt1 (= ${binary:Version}),
+ libxmlsec1-gnutls1 (= ${binary:Version}),
+ libxmlsec1-nss1 (= ${binary:Version}),
+ libxmlsec1-openssl1 (= ${binary:Version}),
  libxslt1-dev,
  ${misc:Depends},
 Description: Development files for the XML security library
@@ -52,16 +52,16 @@
  This package provides development files including documentation, examples,
  headers, static libraries, and configuration support.
 
-Package: libxmlsec1t64
+Package: libxmlsec1-1
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Replaces: libxmlsec1
-Breaks: libxmlsec1 (<< ${source:Version})
-Provides: ${t64:Provides}
+Conflicts: libxmlsec1, libxmlsec1t64
+Replaces: libxmlsec1, libxmlsec1t64
+Breaks: libxmlsec1 (<< ${source:Version}), libxmlsec1t64 (<< ${source:Version})
 Description: XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -70,17 +70,16 @@
  Specifically, it provides all XML security library functionality
  except for the cryptography engine.
 
-Package: libxmlsec1t64-openssl
+Package: libxmlsec1-openssl1
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Replaces: libxmlsec1-openssl
-Breaks: libxmlsec1-openssl (<< ${source:Version})
-Provides: ${t64:Provides}
-X-Time64-Compat: libxmlsec1-openssl
+Conflicts: libxmlsec1-openssl, libxmlsec1t64-openssl
+Replaces: libxmlsec1-openssl, libxmlsec1t64-openssl
+Breaks: libxmlsec1-openssl (<< ${source:Version}), libxmlsec1t64-openssl (<< ${source:Version})
 Description: Openssl engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -89,17 +88,16 @@
  Specifically, it provides the openssl implementation of the XML security
  library cryptography functions.
 
-Package: libxmlsec1t64-gnutls
+Package: libxmlsec1-gnutls1
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Replaces: libxmlsec1-gnutls
-Breaks: libxmlsec1-gnutls (<< ${source:Version})
-Provides: ${t64:Provides}
-X-Time64-Compat: libxmlsec1-gnutls
+Conflicts: libxmlsec1-gnutls, libxmlsec1t64-gnutls
+Replaces: libxmlsec1-gnutls, libxmlsec1t64-gnutls
+Breaks: libxmlsec1-gnutls (<< ${source:Version}), libxmlsec1t64-gnutls (<< ${source:Version}),
 Description: Gnutls engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -108,17 +106,16 @@
  Specifically, it provides the gnutls implementation of the XML security
  library cryptography functions.
 
-Package: libxmlsec1t64-nss
+Package: libxmlsec1-nss1
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Replaces: libxmlsec1-nss
-Breaks: libxmlsec1-nss (<< ${source:Version})
-Provides: ${t64:Provides}
-X-Time64-Compat: libxmlsec1-nss
+Conflicts: libxmlsec1-nss, libxmlsec1t64-nss
+Replaces: libxmlsec1-nss, libxmlsec1t64-nss
+Breaks: libxmlsec1-nss (<< ${source:Version}), libxmlsec1t64-nss (<< ${source:Version})
 Description: Nss engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.
@@ -127,17 +124,16 @@
  Specifically, it provides the nss implementation of the XML security
  library cryptography functions.
 
-Package: libxmlsec1t64-gcrypt
+Package: libxmlsec1-gcrypt1
 Section: libs
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Replaces: libxmlsec1-gcrypt
-Breaks: libxmlsec1-gcrypt (<< ${source:Version})
-Provides: ${t64:Provides}
-X-Time64-Compat: libxmlsec1-gcrypt
+Conflicts: libxmlsec1-gcrypt, libxmlsec1t64-gcrypt
+Replaces: libxmlsec1-gcrypt,  libxmlsec1t64-gcrypt
+Breaks: libxmlsec1-gcrypt (<< ${source:Version}), libxmlsec1t64-gcrypt (<< ${source:Version})
 Description: Gcrypt engine for the XML security library
  The XML Security Library implements standards related to secure handling
  of XML data.

=== debian/rules ===
#!/usr/bin/make -f

export OFFLINE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	if [ -d docs.bak ]; then rm -rf docs; mv docs.bak docs; fi
	rm -f man/xmlsec1-config.1 man/xmlsec1.1
	rm -f config.log config.cache config.status
	rm -f docs/api/home.png docs/api/left-insensitive.png docs/api/left.png docs/api/right-insensitive.png docs/api/right.png docs/api/up-insensitive.png docs/api/up.png
	rm -f docs/api/xmlsec-index.html docs/api/xmlsec.devhelp2

override_dh_auto_configure:

override_dh_auto_build-arch:
	dh_auto_configure -- \
		--enable-manpages-build \
		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
		--disable-crypto-dl \
		--disable-apps-crypto-dl \
		--enable-openssl3-engines
	dh_auto_build --no-parallel

override_dh_auto_build-indep:
	dh_auto_configure -- \
		--enable-manpages-build \
		--enable-docs --enable-docs-build \
		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
		--disable-crypto-dl \
		--disable-apps-crypto-dl \
		--enable-openssl3-engines
	dh_auto_build --no-parallel

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) check | tee /tmp/tests.log
	grep -q Fail /tmp/tests.log && (echo "Failures executing unit tests, exiting build"; exit 1) \
		|| echo "Unit tests completed successfully"
endif

	touch build-stamp

override_dh_install:
	find debian/tmp/usr/lib -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
	dh_install

override_dh_installexamples:
	dh_installexamples -plibxmlsec1-dev examples/*

override_dh_installdocs:
	dh_installdocs -X.sgml --all README.md debian/README.Debian

override_dh_compress:
	dh_compress -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -V

## xmlsec1 1.3.7

=== examples/Makefile ===
#
#
#
PROGRAMS_SIGN   = sign1 sign2 sign3
PROGRAMS_VERIFY = verify1 verify2 verify3 verify4
PROGRAMS_ENC    = encrypt1 encrypt2 encrypt3
PROGRAMS_DEC    = decrypt1 decrypt2 decrypt3
PROGRAMS = \
	$(PROGRAMS_SIGN) \
	$(PROGRAMS_VERIFY) \
	$(PROGRAMS_ENC) \
	$(PROGRAMS_DEC) \
	xmldsigverify

CC	= gcc
CFLAGS	+= -g $(shell xmlsec1-config --cflags) -DUNIX_SOCKETS -Wall -Wextra
LDLIBS	+= -g $(shell xmlsec1-config --libs)

all: $(PROGRAMS)

clean:
	rm -rf $(PROGRAMS)

check: check-sign check-verify check-enc check-dec

check-sign: $(PROGRAMS_SIGN)
	./sign1    sign1-tmpl.xml    rsakey.pem
	./sign2    sign2-doc.xml     rsakey.pem
	./sign3    sign3-doc.xml     rsakey.pem rsacert.pem

check-verify: $(PROGRAMS_VERIFY)
	./verify1  sign1-res.xml     rsapub.pem
	./verify1  sign2-res.xml     rsapub.pem
	./verify2  sign1-res.xml     rsakey.pem
	./verify2  sign2-res.xml     rsakey.pem
	./verify3  sign3-res.xml     ca2cert.pem cacert.pem
	./verify4  verify4-res.xml   ca2cert.pem cacert.pem

check-enc: $(PROGRAMS_ENC)
	./encrypt1 encrypt1-tmpl.xml deskey.bin
	./encrypt2 encrypt2-doc.xml  deskey.bin
	./encrypt3 encrypt3-doc.xml  rsakey.pem

check-dec: $(PROGRAMS_DEC)
	./decrypt1 encrypt1-res.xml  deskey.bin
	./decrypt1 encrypt2-res.xml  deskey.bin
	./decrypt2 encrypt1-res.xml  deskey.bin
	./decrypt2 encrypt2-res.xml  deskey.bin
	./decrypt3 encrypt1-res.xml
	./decrypt3 encrypt2-res.xml
	./decrypt3 encrypt3-res.xml

=== debian/changelog ===
xmlsec1 (1.3.7-3) unstable; urgency=medium

  * debian/patches/libxml-2.15.diff: add upstream commit
    ef0e3b5cac04db13ce070b1e5bcad7dd7b0eb49b to fix build with libxml2 2.15

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Oct 2025 12:06:52 +0200

xmlsec1 (1.3.7-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 22:48:25 +0200

xmlsec1 (1.3.7-1) experimental; urgency=medium

  * New upstream version 1.3.7

  * drop -gcrypt variant (off upstream per default and no r-deps)
  * configure with --with-legacy-features for now
  * configure with --enable-ripemd160 to avoid loosing symbols

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Mar 2025 17:42:27 +0100

## xmlsec1 1.3.8

=== debian/changelog ===
xmlsec1 (1.3.8-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Oct 2025 08:55:57 +0200

xmlsec1 (1.3.8-1) experimental; urgency=medium

  * New upstream version 1.3.8

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Oct 2025 17:27:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  dpkg-dev (>= 1.22.5),
  debhelper (>= 11),
  help2man,
- libgcrypt20-dev,
  libgnutls28-dev,
  libnss3-dev (>= 2:3.72-2),
  libssl-dev,
@@ -31,13 +30,11 @@
 Architecture: any
 Depends:
  libc6-dev,
- libgcrypt20-dev,
  libgnutls28-dev,
  libnss3-dev,
  libssl-dev,
  libxml2-dev,
  libxmlsec1-1 (= ${binary:Version}),
- libxmlsec1-gcrypt1 (= ${binary:Version}),
  libxmlsec1-gnutls1 (= ${binary:Version}),
  libxmlsec1-nss1 (= ${binary:Version}),
  libxmlsec1-openssl1 (= ${binary:Version}),
@@ -124,24 +121,6 @@
  Specifically, it provides the nss implementation of the XML security
  library cryptography functions.
 
-Package: libxmlsec1-gcrypt1
-Section: libs
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Conflicts: libxmlsec1-gcrypt, libxmlsec1t64-gcrypt
-Replaces: libxmlsec1-gcrypt,  libxmlsec1t64-gcrypt
-Breaks: libxmlsec1-gcrypt (<< ${source:Version}), libxmlsec1t64-gcrypt (<< ${source:Version})
-Description: Gcrypt engine for the XML security library
- The XML Security Library implements standards related to secure handling
- of XML data.
- .
- This package provides dynamic libraries for use by applications.
- Specifically, it provides the gcrypt implementation of the XML security
- library cryptography functions.
-
 Package: xmlsec1
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
-		--enable-openssl3-engines
+		--enable-openssl3-engines \
+		--with-legacy-features \
+		--enable-ripemd160
 	dh_auto_build --no-parallel
 
 override_dh_auto_build-indep:
@@ -31,7 +33,9 @@
 		--with-html-dir=\$${prefix}/share/doc/libxmlsec1-dev/html \
 		--disable-crypto-dl \
 		--disable-apps-crypto-dl \
-		--enable-openssl3-engines
+		--enable-openssl3-engines \
+		--with-legacy-fe0atures \
+		--enable-ripemd160
 	dh_auto_build --no-parallel
 
 override_dh_auto_test:

## xmlsec1 1.3.9

=== debian/changelog ===
xmlsec1 (1.3.9-1) unstable; urgency=medium

  * New upstream version 1.3.9

  * debian/libxmlsec1-1.symbols: add new symbols

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Nov 2025 21:42:05 +0100
